<form action="up_price.manage.php?action=del" id="form_del" name="form_del" method="post" style="padding-bottom:20px">
    <table width="680" class="from_table2_one">
		<thead>
	    	<tr class="area_ajax_list_title">
           	  <th class="pd-left" width="100"><tpl> $langPriceSelect </tpl></th>	
              <th width="100"><tpl> $langPriceSequenceNumber </tpl></th>
              <th width="150"><tpl> $langPriceAreaLowerLimit </tpl></th>
              <th width="150"><tpl> $langPriceAreaUpperLimit </tpl></th>
	          <th width="150"><tpl> $langPriceAddExtent </tpl></th>
              <th width="150"><tpl> $langCOperation </tpl></th>
            </tr>
		</thead>
		<tpl> if $price_list[0].i_id neq '' </tpl>
		<tpl> section name=i loop=$price_list </tpl>
		   <tr>
		     <td class="pd-left" width="100"><input name="i_id[]" type="checkbox" value="<tpl> $price_list[i].i_id </tpl>"/></td>	
		     <td width="100"><tpl>$smarty.section.i.iteration </tpl></td>
			  <td width="150">￥
		     <tpl> $price_list[i].i_low </tpl></td>
			  <td width="150">￥
		     <tpl> $price_list[i].i_high </tpl></td>
			  <td width="150">￥
		     <tpl> $price_list[i].increment </tpl></td>
			  <td width="150"><a href="javascript:;" onclick="ajax_modi('<tpl> $price_list[i].i_id </tpl>');" title="<tpl> $langPriceEdit </tpl>" class="edit_a_pic">
		     </a></td>
		   </tr>
		  <tpl> /section </tpl>

		  <tpl> else  </tpl>
		  <tr>
			<td colspan="6" align="center"><tpl> $langPriceNotContent </tpl></td>
		  </tr>
		<tpl> /if </tpl>
  </table>
  <tpl> if $price_list[0].i_id neq '' </tpl>
  <div class="table-5-bottom">
  <div class="p-left">
  	<span class="btn_left"><input name="selectall" type="button" id="selectall" class="btn_submit" value="<tpl> $langPriceAllSelect </tpl>" /></span>
			<span class="btn_left">	<input name="negative" type="button" id="negative" class="btn_submit" value="<tpl> $langPriceContrarySelect </tpl>" /></span>
			<span class="btn_left">	<input type="button" id="delbutton" name="delbutton" class="btn_submit" value="<tpl> $langPriceDEL </tpl>" /></span>
<span style="float: right">
				<tpl> $page_list </tpl>	</span>
  </div>
  </div>
  <tpl> /if </tpl>
	</form>
<div id="question" style="display:none; cursor: default; padding:10px"> 
        <b style=" font-size:14px; margin-top:10px; line-height:50px; height:50px;padding-

top:10px; padding-bottom:10px"><tpl> $langPriceConfirmMustDel </tpl></b> <br />
        <input type="button" id="yes" value="<tpl> $langCYes </tpl>"  style=" border:1px solid 

#CCCCCC;width:80px; margin:5px; background-image:url(../templates/system_new/images/anniu.gif)"/> 
        <input type="button" id="no" value="<tpl> $langCNo </tpl>"  style="border:1px solid #CCCCCC;width:80px; 

margin:5px; background-image:url(../templates/system_new/images/anniu.gif)"/>
		<input type="hidden" id="del_value" />
</div> 
<script>
$(document).ready(function() {	
var question = $('#question')[0];
$('#negative').click(
		function(){
			$('#form_del input[@type=checkbox]').each(function(){
				$(this).attr('checked',!$(this).attr('checked'))
			})
		}
		);
		$('#selectall').click(
		function(){
			$('#form_del input[@type=checkbox]').each(function(){
				$(this).attr('checked',true)
			})
		}
	);
	//删除操作
	var options_del = {
		beforeSubmit:  function(){showLoading(showText);},
		success:       function(msg){
						hideLoading();
						showMessage(msg.message,msg.type);
						if(msg.type == '1'){
							ShowDiv = "result_content";
							getPageContent("up_price.manage.php?action=ajax_list<tpl> if $price_list|@count neq 1 </tpl>&curpage=<tpl> $curpage </tpl><tpl> /if </tpl>");
						}
					},
		type:      'post',
		dataType:  'json'
	};
	
	$("#delbutton").click(function(){
		
		$.blockUI(question, { width: '275px' });
	});
	
	$('#yes').click(function() {
			$.unblockUI();
			$('#form_del').ajaxSubmit(options_del);			
			return false;
		});
	$('#no').click($.unblockUI);
});	

//编辑
function ajax_modi(id){
	//载入页面
	ShowDiv = "result_content";
	getPageContent("up_price.manage.php?action=modify&i_id="+id+"&curpage=<tpl> $curpage </tpl>");
}
</script>